import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["type", "color", "style"];
import * as React from 'react';
// @ts-ignore

import 'element-ui/lib/theme-chalk/index.css';
import { Button } from 'element-ui';
import { VueContainer } from 'vuereact-combined';
import "./index.scss";
var ColorfulButton = function ColorfulButton(_ref) {
  var _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'primary' : _ref$type,
    color = _ref.color,
    _ref$style = _ref.style,
    style = _ref$style === void 0 ? {} : _ref$style,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _style = style || {};
  var title = otherProps.title;
  if (color) {
    // @ts-ignore
    _style.backgroundColor = color;
  }
  console.info(otherProps);
  var _otherProps = otherProps || {};
  return /*#__PURE__*/React.createElement(VueContainer, _extends({
    component: Button,
    type: type
  }, _otherProps), title == "" ? '123' : title);
};
ColorfulButton.displayName = 'ColorfulButton';
export default ColorfulButton;