import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["color", "style"];
import * as React from 'react';
// @ts-ignore

import 'element-ui/lib/theme-chalk/index.css';
import { Input } from 'element-ui';
import { VueContainer } from 'vuereact-combined';
import "./index.scss";
var ColorfulInput = function ColorfulInput(_ref) {
  var color = _ref.color,
    _ref$style = _ref.style,
    style = _ref$style === void 0 ? {} : _ref$style,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _style = style || {};
  if (color) {
    // @ts-ignore
    _style.backgroundColor = color;
  }
  var _otherProps = otherProps || {};
  // @ts-ignore
  _otherProps.style = _style;
  return /*#__PURE__*/React.createElement(VueContainer, _extends({
    component: Input
  }, _otherProps));
};
export default ColorfulInput;